kernel: PPP: VJ decompression error - PPP

This is a discussion on kernel: PPP: VJ decompression error - PPP ; Hallo, out there, since I updatet my system to Linux kernel 2.4.21 I continously get the following error message in /var/log/messages: kernel: PPP: VJ decompression error Here is some information about my system andreas@home:~ > uname -a Linux home 2.4.21 ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: kernel: PPP: VJ decompression error

  1. kernel: PPP: VJ decompression error

    Hallo, out there,

    since I updatet my system to Linux kernel 2.4.21 I continously get the
    following error message in /var/log/messages:

    kernel: PPP: VJ decompression error

    Here is some information about my system

    andreas@home:~ > uname -a
    Linux home 2.4.21 #2 Mon Jun 16 17:35:52 CEST 2003 i686 unknown
    andreas@home:~ > cat /usr/src/linux/.config | grep PPP
    CONFIG_PPP=y
    CONFIG_PPP_FILTER=y
    CONFIG_PPP_ASYNC=y
    # CONFIG_PPP_SYNC_TTY is not set
    CONFIG_PPP_DEFLATE=y
    CONFIG_PPP_BSDCOMP=y

    Searching on the net I could not find any usable tips for fixing the
    problem. Now I use the "novj"-Option in /etc/ppp/config and the problem
    is gone, of course :-) But that's just a workaround to avoid cluttering
    my log-files and I'm in hope to fix the error, but up til now I have no
    idea.

    Do you?

    Thanks for your effort!

    Ciao
    Andreas

    --
    ==> Informativ - Interaktiv - Internet <==
    ==> Pharmazeutische Kompetenz online <==
    ==> http://www.apo-im-plauen-park.de <==
    ==> Apotheker Dipl.-Pharm. Andreas Muck <==

  2. Re: kernel: PPP: VJ decompression error

    Andreas Muck wrote:

    > since I updatet my system to Linux kernel 2.4.21 I continously get the
    > following error message in /var/log/messages:


    > kernel: PPP: VJ decompression error


    You wouldn't have also changed ISPs too, would you?

    > Here is some information about my system


    > andreas@home:~ > uname -a
    > Linux home 2.4.21 #2 Mon Jun 16 17:35:52 CEST 2003 i686 unknown
    > andreas@home:~ > cat /usr/src/linux/.config | grep PPP
    > CONFIG_PPP=y
    > CONFIG_PPP_FILTER=y
    > CONFIG_PPP_ASYNC=y
    > # CONFIG_PPP_SYNC_TTY is not set
    > CONFIG_PPP_DEFLATE=y
    > CONFIG_PPP_BSDCOMP=y


    > Searching on the net I could not find any usable tips for fixing the
    > problem. Now I use the "novj"-Option in /etc/ppp/config and the problem
    > is gone, of course :-) But that's just a workaround to avoid cluttering
    > my log-files and I'm in hope to fix the error, but up til now I have no
    > idea.


    > Do you?


    I'm sure the error is in VJ compression in the PPP implementation at the
    ISP, not in Linux PPP VJ decompression. I had a similar problem with a
    previous ISP and still have it with one of the points of present for my
    current ISP (but not with a second POP, or with yet another previous ISP).

    Try adding the pppd option novjccomp and see if that also stops the
    messages. That way you still retain some benefits of VJ compression
    that novj takes away.

    James Carlson suggested this and it works for me.

    Just for the record I currently run the 2.4.21 kernel, and first
    noticed the problem long ago while using a 2.0.x kernel.

    --
    Clifford Kite Email: "echo xvgr_yvahk-ccc@ri1.arg|rot13"
    PPP-Q&A links, downloads: http://ckite.no-ip.net/
    /* Microsoft is a great marketing organization.
    * It _has_ to be */

  3. Re: kernel: PPP: VJ decompression error

    Clifford Kite schrieb:
    > Andreas Muck wrote:
    >
    >> since I updatet my system to Linux kernel 2.4.21 I continously get the
    >> following error message in /var/log/messages:

    >
    >> kernel: PPP: VJ decompression error

    >
    > You wouldn't have also changed ISPs too, would you?


    No, I didn't change my ISP.

    > I'm sure the error is in VJ compression in the PPP implementation at the
    > ISP, not in Linux PPP VJ decompression. I had a similar problem with a
    > previous ISP and still have it with one of the points of present for my
    > current ISP (but not with a second POP, or with yet another previous ISP).


    Well, it would be remarkable when my ISP changed his software just when
    I installed a new kernel. Here are the dates I got the decompression
    error since 12.05.2002:

    12.27.2002: 2 errors
    04.20.2003: 1 error
    06.16.2003: 76 errors
    06.17.2003: 22 errors

    I installed kernel 2.4.21 on Jun 16 2003 and on Jun 17 I added "novj" to
    /etc/ppp/options. But after all I will go and ask my ISP and I will give
    pppd a new chance and delete the "novj" option. If it will not work I
    try "novjcomp" as you recommend.

    Ciao
    Andreas

    --
    ==> Informativ - Interaktiv - Internet <==
    ==> Pharmazeutische Kompetenz online <==
    ==> http://www.apo-im-plauen-park.de <==
    ==> Apotheker Dipl.-Pharm. Andreas Muck <==

  4. Re: kernel: PPP: VJ decompression error

    Clifford Kite schrieb:
    > You did have 3 VJ decompression errors before the new kernel, but you
    > certainly have a right to be suspicious when many more appeared just
    > after it's installation. I suspect, but don't *know*, that large
    > downloads cause more of these errors.


    Well, a large download doesn't seem to be the problem. I just retrieved
    a version of mozilla (about 12 MB) and no decompression errors occured
    during that session. But in general I got decompression errors when I
    workes with full VJ-compression-support. Now I activated "novjccomp" and
    all seems to work fine. I hope that's the solution :-)

    Ciao
    Andreas

    --
    ==> Informativ - Interaktiv - Internet <==
    ==> Pharmazeutische Kompetenz online <==
    ==> http://www.apo-im-plauen-park.de <==
    ==> Apotheker Dipl.-Pharm. Andreas Muck <==

+ Reply to Thread